package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.factory;

import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntPosition;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.VierGewinntMove;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.impl.VierGewinntMoveImpl;

/**
 * Implements {@link VierGewinntMoveFactory}.
 */
public final class VierGewinntDefaultMoveFactory implements VierGewinntMoveFactory {

   
    @Override
    public VierGewinntMove createMove(final VierGewinntPosition position) {
        return new VierGewinntMoveImpl(position);
    }
}
