package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.factory;

import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntPosition;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.VierGewinntMove;

/**
 * Factory for Moves in VierGewinnt Game.
 * 
 * @author Robby Rabbitman
 *
 */
public interface VierGewinntMoveFactory {
    /**
     * Movefactory for VierGewinntMove.
     * 
     * @param position
     * @return
     */
    VierGewinntMove createMove(VierGewinntPosition position);
}
