
module de.fhdw.gaming.ipspiel21.viergewinnt.core {
    exports de.fhdw.gaming.ipspiel21.viergewinnt.core.domain;
    exports de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory;
    exports de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves;
    exports de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.factory;


    requires transitive de.fhdw.gaming.core;

    uses de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory.VierGewinntStrategyFactory;
    uses de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntGameBuilderFactory;

    provides de.fhdw.gaming.core.domain.GameBuilderFactory
    with de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.impl.VierGewinntGameBuilderFactoryImpl;
    provides de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntGameBuilderFactory
    with de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.impl.VierGewinntGameBuilderFactoryImpl;

    opens de.fhdw.gaming.ipspiel21.viergewinnt.core.domain;
    opens de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.impl;
    opens de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.impl;
    opens de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory;
    opens de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves;
}
