package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory;

import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.VierGewinntStrategy;
import de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.moves.factory.VierGewinntMoveFactory;

/**
 * Factory which can eval VierGewinnt Strategies.
 * 
 * @author Robby Rabbitman
 *
 */
public interface VierGewinntStrategyFactory {

    /**
     * Specified Constructor which get a moveFactory.
     * 
     * @param moveFactory
     * @return
     */
    VierGewinntStrategy create(VierGewinntMoveFactory moveFactory);
}
