package de.fhdw.gaming.ipspiel21.viergewinnt.core.domain.factory;

import java.util.List;

/**
 * Allows to retrieve all available {@link VierGewinntStrategyFactory Vier Gewinnt strategy factories}.
 */
public interface VierGewinntStrategyFactoryProvider {

    /**
     * Returns all available {@link VierGewinntStrategyFactory Vier Gewinnt strategy factories}.
     */
    List<VierGewinntStrategyFactory> getStrategyFactories();
}
